Package org.gradle

## Class BuildResult

- java.lang.Object
- - org.gradle.BuildResult

-     public class BuildResult
      extends Object

  A `BuildResult` packages up the results of a build executed by a `GradleLauncher` instance.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BuildResult​(String action, Gradle gradle, Throwable failure)` |
    `BuildResult​(Gradle gradle, Throwable failure)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAction()` | The action performed by this build.
    `Throwable` | `getFailure()` |
    `Gradle` | `getGradle()` |
    `BuildResult` | `rethrowFailure()` | Rethrows the build failure.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BuildResult

          public BuildResult​(@Nullable
                             Gradle gradle,
                             @Nullable
                             Throwable failure)

    - #### BuildResult

          public BuildResult​(String action,
                             @Nullable
                             Gradle gradle,
                             @Nullable
                             Throwable failure)

  - ### Method Detail

    - #### getGradle

          @Nullable
          public Gradle getGradle()

    - #### getFailure

          @Nullable
          public Throwable getFailure()

    - #### getAction

          public String getAction()

      The action performed by this build. Either `Build` or `Configure`.

    - #### rethrowFailure

          public BuildResult rethrowFailure()

      Rethrows the build failure. Does nothing if there was no build failure.